/* heading base
======================================== */
:root {
  --heading-size-h2: var(--size-xl);
}

.l-entry h2 {
  margin-bottom: var(--space-sm);
  color: var(--color-text-init);
  font-size: var(--heading-size-h2);
  line-height: var(--line-height-sm);
}
@media (max-width: 1024px) {
  .l-entry h2 {
    font-size: var(--size-xl);
  }
}
.l-entry h3 {
  margin-top: var(--space-sm);
  color: var(--color-text-init);
  font-size: var(--size-lg);
  line-height: var(--line-height-md);
}
.l-entry h4 {
  margin-top: var(--space-sm);
  font-size: var(--size-md);
  line-height: var(--line-height-md);
}
.l-entry .wp-block-heading.is-style-heading-sideline {
  padding-left: var(--size-md);
  padding-block: var(--space-2xs);
  background-color: var(--color-bg-primary-light);
  border-left: solid var(--size-min) var(--color-border-primary);
}
.l-entry .wp-block-heading.is-style-heading-dotted {
  --dot-size: var(--space-3xs);
  --dot-gap: calc(var(--dot-size) * 2);
  --dot-color-main: var(--color-bg-primary);
  --dot-color-sub: var(--color-bg-primary-muted);
  padding-bottom: var(--space-sm);
  position: relative;
}
.l-entry .wp-block-heading.is-style-heading-dotted::before {
  content: "";
  width: var(--dot-size);
  height: var(--dot-size);
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: var(--dot-color-main);
  border-radius: var(--radius-max);
}
.l-entry .wp-block-heading.is-style-heading-dotted::after {
  content: "";
  width: calc(var(--dot-gap) * 4);
  height:  var(--dot-size);
  position: absolute;
  bottom: 0;
  left: calc(var(--dot-gap) - var(--dot-size) / 2);
  background-image: radial-gradient(
    circle,
    var(--dot-color-sub) calc(var(--dot-size) / 2),
    transparent calc(var(--dot-size) / 2)
  );
  background-size: var(--dot-gap) 100%;
  background-repeat: repeat-x;
}
.l-entry .wp-block-heading.is-style-heading-underline {
  padding-bottom: var(--space-3xs);
  border-bottom: 1px solid var(--color-border-primary-dark);
}

/* body base
======================================== */

.l-entry p {
  font-size: var(--size-sm);
  line-height: var(--line-height-md);
}
@media (max-width: 1024px) {
  .l-entry p {
    font-size: var(--size-xs);
  }
}
.l-entry * + * {
  margin-top: var(--space-2xs);
}
.l-entry * + h2 {
  margin-top: var(--space-2xl);
}
.l-entry * + p {
  margin-top: var(--space-2xs);
}
@media (max-width: 1024px) {
  .l-entry * + h2 {
    margin-top: var(--space-md);
  }
}
.l-entry figcaption {
  margin: 0;
  margin-top: var(--space-2xs);
  text-align: center;
}
.l-entry .is-layout-grid {
  gap: var(--space-md);
}
@media (max-width: 1024px) {
  .l-entry .is-layout-flex {
    text-align: center;
  }
}
@media (max-width: 767px) {
  .l-entry .is-layout-grid {
    grid-template-columns: 100%;
  }
}

/* button
======================================== */

.l-entry .wp-block-button__link {
  padding-inline: var(--space-md);
  color: var(--color-text-inverse);
}

/* link style
======================================== */

.l-entry a {
  color: var(--color-text-primary);
}
.l-entry .wp-block-button.is-style-external-link a {
  padding: 0;
  padding-left: var(--space-sm);
  position: relative;
  color: var(--color-text-primary);
  background-color: initial;
  border-radius: 0;
}
.l-entry .wp-block-button.is-style-external-link a::before {
  content: "";
  width: 1em;
  height: 100%;
  position: absolute;
  left: 0;
  top: 50%;
  translate: 0 -50%;
  background-color: var(--color-bg-primary);
  mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
  -webkit-mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
}
.l-entry .wp-block-button.is-style-pagemenu-link a {
  padding: 0;
  padding-right: var(--space-sm);
  position: relative;
  color: var(--color-text-primary-dark);
  font-size: var(--size-lg);
  font-weight: 700;
  text-align: left;
  text-decoration: none;
  background-color: initial;
  border-radius: 0;
}
.l-entry .wp-block-button.is-style-pagemenu-link a::before {
  content: "";
  width: 1em;
  height: 100%;
  position: absolute;
  right: 0;
  top: 50%;
  translate: 0 -50%;
  background-color: var(--color-bg-primary);
  mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
  -webkit-mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
}
.l-entry .wp-block-button__link {
  font-size: clamp(var(--size-3xs), 4.375vw, var(--size-sm));
  transition: opacity .3s;
}
.l-entry .wp-block-button__link:hover {
  opacity: .8;
}

/* box
======================================== */

.l-entry .box {
  width: fit-content;
  margin-inline: auto;
  padding: var(--space-xs) var(--space-md);
  background-color: var(--color-bg-primary-light);
}


/* image
======================================== */

.l-entry img {
  width: 100%;
}
@media (max-width: 767px) {
  .l-entry img {
    height: 100%!important;
  }
}